import { ApplicationSettings } from '@nativescript/core';
const storage = {
    getObject: (key, defaultValue) => {
        const value = storage.getString(key);
        return value ? JSON.parse(value) : defaultValue;
    },
    setObject: (key, value) => {
        storage.setString(key, JSON.stringify(value));
    },
    getString: (key, defaultValue) => {
        return ApplicationSettings.getString(key, defaultValue);
    },
    setString: (key, value) => {
        ApplicationSettings.setString(key, value);
    },
    getNumber: (key, defaultValue) => {
        return ApplicationSettings.getNumber(key, defaultValue);
    },
    setNumber: (key, value) => {
        ApplicationSettings.setNumber(key, value);
    },
    getBoolean: (key, defaultValue) => {
        return ApplicationSettings.getBoolean(key, defaultValue);
    },
    setBoolean: (key, value) => {
        ApplicationSettings.setBoolean(key, value);
    },
    remove: (key) => {
        ApplicationSettings.remove(key);
    },
    clear: () => {
        ApplicationSettings.clear();
    },
};
export const useStorage = () => storage;
//# sourceMappingURL=index.js.map